org.apache.felix.ipojo.extender.internal.processor

## Class ConfigurationAnnotationScanner

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - org.apache.felix.ipojo.extender.internal.processor.ConfigurationAnnotationScanner

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class ConfigurationAnnotationScanner
    extends org.objectweb.asm.ClassVisitor
    implements org.objectweb.asm.Opcodes

Class visitor detecting @Configuration annotation.

After the visit, two state variables are set: isConfiguration is set to true if the class contained the @Configuration annotation parent is set to the parent class if and only if it's not a java.* class (which don't contain the Configuration annotation) and isConfiguration is set to false

### Field Summary

### Fields inherited from class org.objectweb.asm.ClassVisitor

`api, cv`

### Fields inherited from interface org.objectweb.asm.Opcodes

`AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_MANDATED, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASM4, ASM5, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, H_GETFIELD, H_GETSTATIC, H_INVOKEINTERFACE, H_INVOKESPECIAL, H_INVOKESTATIC, H_INVOKEVIRTUAL, H_NEWINVOKESPECIAL, H_PUTFIELD, H_PUTSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7, V1_8`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationAnnotationScanner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getParent()`
`boolean` `isConfiguration()`
`void` `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(java.lang.String desc, boolean vis)`

### Methods inherited from class org.objectweb.asm.ClassVisitor

`visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationAnnotationScanner

    public ConfigurationAnnotationScanner()

### Method Detail

#### visit

    public void visit(int version,
                      int access,
                      java.lang.String name,
                      java.lang.String signature,
                      java.lang.String superName,
                      java.lang.String[] interfaces)

Overrides:
  `visit` in class `org.objectweb.asm.ClassVisitor`

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                               boolean vis)

Overrides:
  `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

#### isConfiguration

    public boolean isConfiguration()

#### getParent

    public java.lang.String getParent()